#! /bin/bash

log_type=$1           # 爬虫策略
crawler=$2            # 哪款爬虫
env=$3                # 爬虫运行环境，正式环境: prod / 测试环境: dev
kanyikan_type=$4      # 爬虫子类型：看一看推荐(kyk) / 看一看推荐健康(kykjk) / 看一看推荐老年(kykln)

if [ ${env} = "dev" ];then
  piaoquan_crawler_dir=/Users/wangkun/Desktop/crawler/piaoquan_crawler/
  profile_path=/etc/profile
  python=python3
  log_path=${piaoquan_crawler_dir}main/main_logs/process-kyksession-$(date +%Y-%m-%d).log

elif [ ${kanyikan_type} = "kyk" ];then
  piaoquan_crawler_dir=/Users/lieyunye/Desktop/crawler/piaoquan_crawler/
  profile_path=./base_profile
  python=python3
  log_path=${piaoquan_crawler_dir}main/main_logs/process-kyksession-$(date +%Y-%m-%d).log

elif [ ${kanyikan_type} = "kykjk" ];then
  piaoquan_crawler_dir=/Users/kanyikan/Desktop/crawler/piaoquan_crawler/
  profile_path=/.base_profile
  python=python3
  log_path=${piaoquan_crawler_dir}main/main_logs/process-kyksession-$(date +%Y-%m-%d).log

elif [ ${kanyikan_type} = "kykln" ];then
  piaoquan_crawler_dir=/Users/piaoquan/Desktop/piaoquan_crawler/
  profile_path=/etc/profile
  python=python3
  log_path=${piaoquan_crawler_dir}main/main_logs/process-kyksession-$(date +%Y-%m-%d).log
fi

time=$(date +%H:%M:%S)
echo "$(date "+%Y-%m-%d %H:%M:%S") 开始监测 看一看session 进程状态" >> ${log_path}
ps -ef | grep "kanyikan_session.py" | grep -v "grep"
if [ "$?" -eq 1 ];then
  echo "$(date "+%Y-%m-%d_%H:%M:%S") 异常停止,正在重启!" >> ${log_path}
  cd ${piaoquan_crawler_dir} && nohup ${python} -u kanyikan/kanyikan_session/kanyikan_session.py --log_type="${log_type}" --crawler="${crawler}" --env="${env}" --kanyikan_type="${kanyikan_type}">> kanyikan/logs/kanyikan-session.log 2>&1 &
  echo "$(date "+%Y-%m-%d %H:%M:%S") 重启完成!" >> ${log_path}
else
  echo "$(date "+%Y-%m-%d %H:%M:%S") 看一看session 进程状态正常" >> ${log_path}
fi

# 删除日志
echo "$(date "+%Y-%m-%d %H:%M:%S") 开始清理 10 天前的日志文件" >> ${log_path}
find ${piaoquan_crawler_dir}main/main_logs/ -mtime +10 -name "*.log" -exec rm -rf {} \;
echo "$(date "+%Y-%m-%d %H:%M:%S") 日志文件清理完毕" >> ${log_path}
exit 0